# Class CommandFactory

java.lang.Object
org.apache.zookeeper.cli.CommandFactory

public class CommandFactory extends Object
Factory class for creating instances of `CliCommand`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CommandFactory.Command`
All Cli Commands.

## Constructor Summary

Constructors
Constructor
Description
`CommandFactory()`

## Method Summary

Modifier and Type
Method
Description
`static CliCommand`
`getInstance(CommandFactory.Command command)`
Creates a new `CliCommand` instance.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandFactory

public CommandFactory()

## Method Details

### getInstance

public static CliCommand getInstance(CommandFactory.Command command)
Creates a new `CliCommand` instance.

Parameters:
  `command` - the `CommandFactory.Command` to create a new instance of
Returns:
  the new `CliCommand` instance